<?php

/*

* Vytvořil tým adminů z webu WPlama.cz

* http://www.wplama.cz/divi-child-sablona/

*

*/



/**

 * Loads parent and child themes' style.css

 */

function orbisius_ctc_mh_edition_lite_child_theme_enqueue_styles() {

    $parent_style = 'orbisius_ctc_mh_edition_lite_parent_style';

    $parent_base_dir = 'mh-edition-lite';



    wp_enqueue_style( $parent_style,

        get_template_directory_uri() . '/style.css',

        array(),

        wp_get_theme( $parent_base_dir ) ? wp_get_theme( $parent_base_dir )->get('Version') : ''

    );



    // multicolumn css front-end

    wp_enqueue_style('la_mcl_custom_css', get_stylesheet_directory_uri() . '/includes/column/style.css');

}

function orbisius_ctc_mh_edition_lite_child_theme_enqueue_styles_admin() {



    // mulitcolumn css admin

    wp_enqueue_style('la_mcl_admin_css', get_stylesheet_directory_uri() . '/includes/column/admin.css');

}



add_action( 'wp_enqueue_scripts', 'orbisius_ctc_mh_edition_lite_child_theme_enqueue_styles' );

add_action( 'admin_enqueue_scripts', 'orbisius_ctc_mh_edition_lite_child_theme_enqueue_styles_admin' );



function la_lang_function() {

    load_child_theme_textdomain( 'Divi', get_stylesheet_directory() . '/lang' );

    load_child_theme_textdomain( 'et_builder', get_stylesheet_directory() . '/includes/builder/languages' );

}

add_action( 'after_setup_theme', 'la_lang_function' );





//Multicolumn

include("includes/column/la-multicolumn.php");





/**************

* DIVI moduly *

**************/



function la_Custom_Modules(){

 if(class_exists("ET_Builder_Module")){

 include("includes/builder/la-custom-modules.php");

 }

}



function Prep_la_Custom_Modules(){

 global $pagenow;



$is_admin = is_admin();

 $action_hook = $is_admin ? 'wp_loaded' : 'wp';

 $required_admin_pages = array( 'edit.php', 'post.php', 'post-new.php', 'admin.php', 'customize.php', 'edit-tags.php', 'admin-ajax.php', 'export.php' ); // list of admin pages where we need to load builder files

 $specific_filter_pages = array( 'edit.php', 'admin.php', 'edit-tags.php' );

 $is_edit_library_page = 'edit.php' === $pagenow && isset( $_GET['post_type'] ) && 'et_pb_layout' === $_GET['post_type'];

 $is_role_editor_page = 'admin.php' === $pagenow && isset( $_GET['page'] ) && 'et_divi_role_editor' === $_GET['page'];

 $is_import_page = 'admin.php' === $pagenow && isset( $_GET['import'] ) && 'wordpress' === $_GET['import']; 

 $is_edit_layout_category_page = 'edit-tags.php' === $pagenow && isset( $_GET['taxonomy'] ) && 'layout_category' === $_GET['taxonomy'];



if ( ! $is_admin || ( $is_admin && in_array( $pagenow, $required_admin_pages ) && ( ! in_array( $pagenow, $specific_filter_pages ) || $is_edit_library_page || $is_role_editor_page || $is_edit_layout_category_page || $is_import_page ) ) ) {

 add_action($action_hook, 'la_Custom_Modules');

 }

}

Prep_la_Custom_Modules();